%define oname mzscheme

Name: plt
Version: 4.2.2
Release: alt1

Summary: PLT Scheme Programming Environment

License: LGPL
Group: Development/Scheme
Url: http://www.plt-scheme.org/

Source: %name-%version.tar
Source1: drscheme.png
Patch0: %name-4.2.2-alt-link-fixes.patch

# do not scan collects for requires
%add_findreq_skiplist %_libdir/plt/collects/*/*
%add_findreq_skiplist %_libdir/plt/collects/*/*/*

Provides: %oname
Provides: plt2 = %version-%release
Obsoletes: plt2

BuildPreReq: gcc-c++ zlib-devel libjpeg-devel libpng-devel
BuildPreReq: libcairo-devel libXaw-devel libXext-devel libXft-devel

%description
PLT Scheme is an innovative programming language that builds on a rich
academic and practical tradition. It is suitable for implementation
tasks ranging from scripting to application development, including GUIs,
web services, etc.
It includes the DrScheme programming environment, a virtual machine with
a just-in-time compiler, tools for creating stand-alone executables, the
PLT Scheme web server, extensive libraries, documentation for both
beginners and experts, and more.

%package -n lib%oname
Summary: Library files needed to build MzScheme applications
Group: System/Libraries

%description -n lib%oname
Library files needed to build MzScheme applications.

%package -n lib%oname-devel
Summary: Development files needed to build applications with lib%oname
Group: Development/C
Requires: lib%oname = %version

%description -n lib%oname-devel
Development files needed to build applications with %oname.


%prep
%setup
%patch0 -p2
rm -rf wxcommon/{jpeg,libpng,zlib}

cat << __EOF__ > drscheme.desktop
[Desktop Entry]
Type=Application
Name=DrScheme
Comment=The PLT Scheme programming environment
Icon=drscheme
Exec=drscheme
Categories=Development;Education;IDE;Science;ComputerScience;
__EOF__

%build
pushd src
%configure \
	--enable-shared
%make_build
popd

%install
%makeinstall_std -C src docdir=%_docdir/%name-%version
install -pD -m644 %SOURCE1 %buildroot%_niconsdir/drscheme.png
install -pD -m644 drscheme.desktop %buildroot%_desktopdir/drscheme.desktop

%files
%_docdir/%name-%version/
%_bindir/*
%_libdir/plt/
%_desktopdir/*.desktop
%_niconsdir/*.png
%_man1dir/*.*

%files -n lib%oname
%_libdir/lib*3m-%version.so

%files -n lib%oname-devel
%doc src/README
%_includedir/plt/
%_libdir/lib*3m.so

%changelog
* Sun Oct 11 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.2.2-alt1
- 4.2.2
- rename to plt
- build from plt tarball

* Wed Jan 09 2008 Vitaly Lipatov <lav@altlinux.ru> 372-alt1
- new version 372 (with rpmrb script)
- cleanup spec, remove more obsoleted lines (#13408)
- fix links in bindir (#12986)
- enable build dynamic library, fix linking
- split devel package (#4011)

* Wed Nov 14 2007 Vitaly Lipatov <lav@altlinux.ru> 371-alt1
- new version 371 (with rpmrb script)

* Sat Dec 09 2006 Vitaly Lipatov <lav@altlinux.ru> 360-alt0.1
- reverted from orhaned, new version (360)
- change packager, fix Source Url
- update requires
- build no gui version due embedded wxWidgets

* Wed Jan 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 208-alt1.1
- Rebuilt with libstdc++.so.6.

* Thu Aug 05 2004 Alexey Voinov <voins@altlinux.ru> 208-alt1
- new version(208)

* Mon Feb 16 2004 Ott Alex <ott@altlinux.ru> 206-alt2.p1
- Bugfix release plt-206p1

* Thu Feb 05 2004 Ott Alex <ott@altlinux.ru> 206-alt2
- Fixing menu

* Tue Jan 27 2004 Ott Alex <ott@altlinux.ru> 206-alt1
- New version
- added menu

* Wed Sep 24 2003 Ott Alex <ott@altlinux.ru> 205-alt1
- Fixing spec to build in hasher

* Mon May 12 2003 Ott Alex <ott@altlinux.ru> 204-alt1
- New main release
-  locale patch now in mainstream

* Thu Apr 10 2003 Stanislav Ievlev <inger@altlinux.ru> 203-alt2.2
- new alternatives config format

* Mon Mar 24 2003 Stanislav Ievlev <inger@altlinux.ru> 203-alt2.1
- move to new altenatives scheme
  warning to maintainer: package was unupradeable

* Tue Dec 24 2002 Ott Alex <ott@altlinux.ru> 203-alt2
- New version and fix for locale

* Sun Sep 01 2002 Ott Alex <ott@altlinux.ru> 202-alt1
- Initial build

